<app-loading *ngIf="loading"></app-loading>
<form [formGroup]="positionForm" nz-form>
    <div class="content">
        <div nz-row [nzGutter]="24">
            <div nzSpan="12" nz-col>
                <mb-select [mbDataSelects]="listTypePosition" mbKeyLabel="meaning" mbKeyValue="meaning"
                    formControlName="typePositionGroup" (mbEventEmit)="onChangeType($event)"
                    [mbType]="isSubmitted && (positionForm.controls['typePositionGroup'].errors || positionForm.errors?.required) ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && (positionForm.controls['typePositionGroup'].errors || positionForm.errors?.required) !== null"
                    [mbErrors]="positionForm.controls['typePositionGroup'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}
            ]" mbLabelText="{{'modelOrganization.positionGroup.typePositionGroup' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholder="{{'modelOrganization.positionGroup.placeHoder.typePositionGroup' | translate}}">
                </mb-select>
            </div>

            <div nzSpan="12" nz-col>
                <mb-select [mbDataSelects]="listStatus" mbKeyLabel="name" mbKeyValue="value" formControlName="status"
                    mbLabelText="{{'modelOrganization.positionGroup.status' | translate}}"
                    mbPlaceholder="{{'modelOrganization.positionGroup.placeHoder.typeStatus' | translate}}"></mb-select>
            </div>
        </div>

        <div nz-row [nzGutter]="24">
            <div nzSpan="12" nz-col>
                <mb-select [mbDataSelects]="listPositionTmp" mbKeyLabel="name" mbKeyValue="id" formControlName="posManager"
                    mbLabelText="Position Group Parent"
                    mbPlaceholder="{{'modelOrganization.placeHoder.chooseOrType' | translate}}"></mb-select>
            </div>

            <div nzSpan="12" nz-col>
                <mb-input-text (keypress)="onKeypress($event)" (mbChange)="changeValue($event)"
                    [mbType]="isSubmitted && (positionForm.controls['posGroupName'].errors || positionForm.errors?.date) ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && (positionForm.controls['posGroupName'].errors || positionForm.errors?.required) !== null"
                    [mbErrors]="positionForm.controls['posGroupName'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }},
            { errorName: 'duplicatePos', errorDescription: 'modelOrganization.validate.duplicatePos'
            | translate}
            ]" [mbMaxLength]="250" formControlName="posGroupName"
                    mbPlaceholderText="{{'modelOrganization.positionGroup.placeHoder.typePositionGroupName' | translate}}"
                    mbLabelText="{{'modelOrganization.label.positionGroupName' | translate}} <span class='label__required'>*</span>">
                </mb-input-text>
            </div>
        </div>

    </div>

    <div class="footer">
        <mb-button (click)="closeModal()" mbButtonText="{{'modelOrganization.positionGroup.cancel' | translate}}"
            mbButtonAvailableStyle="BtnCancelHasBorder">
        </mb-button>
        <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="submit()"
            mbButtonText="{{'common.button.saveS' | translate}}" mbButtonAvailableStyle="PRIMARY">
        </mb-button>
    </div>
</form>
